VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Complesso"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'Propriet della classe
' rappresentanti la parte reale ed intera
Private VReale As Single
Private VCompl As Single

' setta la propriet "reale"
Property Let Reale(N As Single)
    VReale = N
End Property

' setta la propriet "complessa"
Property Let Complessa(N As Single)
    VCompl = N
End Property

' legge la propriet "reale"
Property Get Reale() As Single
    Reale = VReale
End Property

' legge la propriet "complessa"
Property Get Complessa() As Single
    Complessa = VCompl
End Property

' metodo che implementa la somma del complesso
' corrente con una altro complesso acquisito come parametro
Sub Somma_Complx(C As Complesso)
     VReale = Me.Reale + C.Reale
     VCompl = Me.Complessa + C.Complessa
End Sub

' metodo che implementa la differenza del complesso
' corrente con una altro complesso acquisito come parametro
Sub Sottraz_Complx(C As Complesso)
     VReale = Me.Reale - C.Reale
     VCompl = Me.Complessa - C.Complessa
End Sub

' metodo che implementa il prodotto  del complesso
' corrente con una altro complesso acquisito come parametro
Sub Molt_Complx(C As Complesso)
Dim Re As Single, Co As Single

     Re = VReale * C.Reale - VCompl * C.Complessa
     Co = VReale * C.Complessa + VCompl * C.Reale
     
     VReale = Re
     VCompl = Co
End Sub

' metodo che implementa la divisione del complesso
' corrente con una altro complesso acquisito come parametro
Sub Divi_Complx(C As Complesso)
Dim Re As Single, Co As Single

     Re = (VReale * C.Reale + VCompl * C.Complessa) / (C.Reale ^ 2 + C.Complessa ^ 2)
     Co = (C.Reale * VCompl - VReale * C.Complessa) / (C.Reale ^ 2 + C.Complessa ^ 2)
     
     VReale = Re
     VCompl = Co

End Sub

